Merge two transcript speakers
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetSpeakerId": "cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0",
"sourceSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge"
payload = {
"targetSpeakerId": "cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0",
"sourceSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetSpeakerId: 'cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0',
sourceSpeakerId: 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe'
})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetSpeakerId' => 'cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0',
'sourceSpeakerId' => 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge"
payload := strings.NewReader("{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transcripts Merged Successfully",
"messageKey": "TranscriptsMergedSuccessfully"
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Transcript Editing
Merge Transcript Speakers
Moves every segment of sourceSpeakerId to targetSpeakerId, which keeps its name and color. The source speaker stays, with no segments: delete it with Delete Transcript Speaker if you don’t need it.
POST
/
v2
/
transcript-jobs
/
{jobId}
/
speakers
/
merge
Merge two transcript speakers
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetSpeakerId": "cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0",
"sourceSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge"
payload = {
"targetSpeakerId": "cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0",
"sourceSpeakerId": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetSpeakerId: 'cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0',
sourceSpeakerId: 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe'
})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetSpeakerId' => 'cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0',
'sourceSpeakerId' => 'e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge"
payload := strings.NewReader("{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers/merge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetSpeakerId\": \"cc3c21c5-e8bc-436a-a9a9-b0385c2b81b0\",\n \"sourceSpeakerId\": \"e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transcripts Merged Successfully",
"messageKey": "TranscriptsMergedSuccessfully"
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
Was this page helpful?